# Inquiry Payment Status

**Endpoint URL Payment Status Inquiry**

The endpoint URL is a feedback URL that will process the data in the inquiry from the merchant system. For the implementation of the testing, UAT can use URL development.

{% tabs %}
{% tab title="XML" %}

<table><thead><tr><th width="167.5">Environment</th><th>URL</th></tr></thead><tbody><tr><td>Development</td><td><a href="https://debit-sandbox.faspay.co.id/pws/100004/183xx00010100000">https://debit-sandbox.faspay.co.id/pws/100004/183xx00010100000</a></td></tr></tbody></table>
{% endtab %}

{% tab title="JSON" %}

<table><thead><tr><th width="221.5">Environment</th><th>URL</th></tr></thead><tbody><tr><td>Development</td><td><a href="https://debit-sandbox.faspay.co.id/cvr/100004/10">https://debit-sandbox.faspay.co.id/cvr/100004/10</a></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

**Request Parameter Inquiry Payment Status**

Payment status inquiry request parameters are parameters that must be provided by the merchant's system can perform payment status inquiry system to Faspay.

{% tabs %}
{% tab title="Request" %}

<table><thead><tr><th width="146">Parameter</th><th width="179">Data Type</th><th width="69">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>request</td><td>Alphanumeric (50)</td><td>O</td><td>Request Description</td></tr><tr><td>trx_id</td><td>Numeric (16)</td><td>M</td><td>Transaction ID (Issued/generated by Faspay (Media Indonusa)) Notes: Unique Transaction ID for 1 day or as long as it hasn't been paid and hasn't expired</td></tr><tr><td>merchant_id</td><td>Numeric (5)</td><td>M</td><td>Merchant Code</td></tr><tr><td>bill_no</td><td>Alphanumeric (16)</td><td>M</td><td>Order Number</td></tr><tr><td>signature</td><td>Alphanumeric</td><td>M</td><td>sha1(md5((user_id + password + bill_no))</td></tr></tbody></table>

{% endtab %}

{% tab title="Sample XML Request" %}

```xml
<faspay>
<request>Inquiry Payment Status</request>
<trx_id>3100440033666278</trx_id>
<merchant_id>31004</merchant_id>
<bill_no>31004001</bill_no>
<signature>be8791ac5f10bb042834896598bfc6bb9aadcbf9</signature>
</faspay>
```

{% endtab %}

{% tab title="Sample JSON Request" %}

```json
{
    "request":"Inquiry Payment Status",
    "trx_id":"9876540000001115",
    "merchant_id":"98765",
    "bill_no":"9988776655",
    "signature":"b03951a6051dfa90894eea48ccb964619e8b3474"
}
```

{% endtab %}
{% endtabs %}

**Response Parameter Inquiry Payment Status**

Response parameters are parameters that will be delivered by Faspay system in response to the request that have been sent by the merchant system. If  no parameters appropriate / value is incorrect, the transaction will be rejected in the system Faspay.

{% tabs %}
{% tab title="Response" %}

<table data-full-width="false"><thead><tr><th width="219">Parameter</th><th width="170">Data Type</th><th width="90">M/O/C</th><th width="177">Description</th></tr></thead><tbody><tr><td>response</td><td>Alphanumeric (50)</td><td>O</td><td>Response Name</td></tr><tr><td>trx_id</td><td>Numeric (16)</td><td>M</td><td>Transaction ID (Issued/generated by Faspay (Media Indonusa)) Notes: Unique Transaction ID for 1 day or as long as it hasn't been paid and hasn't expired</td></tr><tr><td>merchant_id</td><td>Numeric (6)</td><td>M</td><td>Merchant Code</td></tr><tr><td>merchant</td><td>Alphanumeric (32)</td><td>M</td><td>Merchant name</td></tr><tr><td>bill_no</td><td>Alphanumeric(32)</td><td>M</td><td>Order number</td></tr><tr><td>payment_reff</td><td>Alphanumeric (16)</td><td>M</td><td>Payment Reff (from Payment Channel)</td></tr><tr><td>payment_date</td><td>Date</td><td>M</td><td>Payment Date (from Payment Channel)</td></tr><tr><td>payment_status_code</td><td>Numeric (1)</td><td>M</td><td><p>Status Code </p><p>0 Unprocessed </p><p>1 In Process </p><p>2 Payment Success </p><p>4 Payment Reserval </p><p>5 No bills found </p><p>8 Payment Cancelled </p><p>9 Unknown</p></td></tr><tr><td>payment_status_desc</td><td>Alphanumeric (32)</td><td>M</td><td>Description Status</td></tr><tr><td>response_code</td><td>Alphanumeric (2)</td><td>M</td><td>Response Code 00 Success</td></tr><tr><td>response_desc</td><td>Alphanumeric (32)</td><td>M</td><td>Response Description</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample XML Response" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<faspay>
    <response>Inquiry Payment Status</response> 
    <trx_id>3100440033666278</trx_id>
    <merchant_id>31004</merchant_id>
    <merchant>Sophia Store</merchant>
    <bill_no>31004001</bill_no>
    <payment_reff></payment_reff>
    <payment_date></payment_date>
    <payment_status_code>0</payment_status_code>
    <payment_status_desc>Unprocessed</payment_status_desc>
    <response_code>00</response_code>
    <response_desc>Success</response_desc>
</faspay>
```

{% endtab %}

{% tab title="Sample JSON Response" %}

```json
{
    "response": "Payment Status Checking",
    "trx_id": "8985999800000588",
    "merchant_id": "99998",
    "merchant": "Sophia Store",
    "bill_no": "8515009999999999",
    "payment_reff": "123",
    "payment_date": "2016-07-22 14:59:30",
    "payment_status_code": "2",
    "payment_status_desc": "Payment Success",
    "response_code": "00",
    "response_desc": "Success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/debit-transaction/inquiry-payment-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
